package com.sf._08_calandar;

import java.util.Calendar;
import java.util.Date;

public class Test {
    public static void main(String[] args) {
        //先获取日历类
        /**
         * Caladendar.getInstance()
         * Calendar 日历类:
         * 主要作用, 可以对于日期进行相加详见操作
         * 比如让天数+1   让月+1  让天数-1
         */
        Calendar instance = Calendar.getInstance();

        /**
         * setTime(Date date)
         * 设置修改日期
         * 2026 1/9  13:44
         */
        instance.setTime(new Date());
        /**
         * 获取当前年  月  日   时 分 秒
         * instance.get();
         */
//        System.out.println(instance.get(Calendar.YEAR));
        // month 是从0开始
//        System.out.println(instance.get(Calendar.MONTH)+1);
//        System.out.println(instance.get(Calendar.HOUR));
//        System.out.println(instance.get(Calendar.MINUTE));
//        System.out.println(instance.get(Calendar.SECOND));
        /**
         * add()
         */
        instance.add(Calendar.DAY_OF_MONTH,1);
        System.out.println(instance.get(Calendar.DAY_OF_MONTH));
        Date time = instance.getTime();
        System.out.println(time.toLocaleString());


        /**
         * 在控制台当中输入
         * 2026/1/9  13:52
         *
         * 现在要求将小时+1   将月 +1  将天数+2
         * 最终输出格式为 2026_2_11  14:52
         */


    }
}
